{% extends "base.html" %}
{% load rules %}
{% load vstatic %}
{% block includes %}
    <link href="{% vstatic 'main/gentelella/select2/dist/css/select2.min.css' %}"
          rel="stylesheet"/>
    <script src="{% vstatic 'main/gentelella/select2/dist/js/select2.full.min.js' %}"></script>
    <script src="{% vstatic 'main/js/organizacao.js' %}"></script>
{% endblock includes %}
{% block content %}
    {% has_perm 'organizacao.alterar' user object as pode_alterar_organizacao %}
    {% has_perm 'admin_geral' user as admin_geral %}
    <div class="row">
        <div class="page-title">
            {% if object.logo %}<img src="{{ object.logo.url }}" class="logo" />{% endif %}
            <h3>{{ titulo }}</h3>
            {% if pode_alterar_organizacao %}
                <div class="actions">
                    <a class="btn btn-primary"
                       href="{% url 'usuaria_create' organizacao_id=object.id %}">
                        <i class="fa fa-user-plus mr-1"></i> Cadastrar nova/o {{ admin_geral|yesno:'usuária/o,revisor/a' }} na organização
                    </a>
                    <a class="btn btn-primary"
                       href="{% url 'organizacao_update' organizacao_id=object.id %}">
                        <i class="fa fa-edit mr-1"></i> Editar organização
                    </a>
                </div>
            {% endif %}
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            {% if org_usuarias.count %}
                <table class="table table-sm">
                    <thead>
                        <tr>
                            <th>Nome</th>
                            <th>Perfil</th>
                            {% if pode_alterar_organizacao %}<th class="th-umpx"></th>{% endif %}
                        </tr>
                    </thead>
                    {% for org_usuaria in org_usuarias.all %}
                        <tr>
                            <td>
                                {% if admin_geral or not org_usuaria.is_admin or org_usuaria.usuaria.id == user.id %}
                                    <a href="{% url 'usuaria_update' organizacao_id=organizacao_id pk=org_usuaria.usuaria.id %}">
                                        {{ org_usuaria.usuaria }} ({{ org_usuaria.usuaria.username }})
                                    </a>
                                {% else %}
                                    {{ org_usuaria.usuaria }} ({{ org_usuaria.usuaria.username }})
                                {% endif %}
                            </td>
                            <td>{{ org_usuaria.is_admin|yesno:"Administrador/a,Revisor/a" }}</td>
                            {% if pode_alterar_organizacao %}
                                <td class="text-right">
                                    {% if org_usuaria.usuaria.id != user.id %}
                                        {% if admin_geral or not org_usuaria.is_admin %}
                                            <i class="fa fa-trash text-danger clickable delete_organizacaousuaria"
                                               title="Excluir integrante {{ org_usuaria.usuaria }}"
                                               data-organizacaousuaria-id="{{ org_usuaria.id }}"
                                               data-url="{% url 'organizacaousuaria_delete' pk=org_usuaria.id %}"
                                               data-organizacao="{{ object }}"
                                               data-usuaria="{{ org_usuaria.usuaria }}">
                                            </i>
                                        {% endif %}
                                    {% endif %}
                                </td>
                            {% endif %}
                        </tr>
                    {% endfor %}
                </table>
            {% else %}
                <p>Esta organização ainda não tem nenhum/a integrante.</p>
            {% endif %}
        </div>
    </div>
    {% if admin_geral %}
        <div class="row">
            <div class="col-sm-12">
                <h5 class="mt-5 mb-4">Adicionar integrante:</h5>
                <form class="form-inline"
                      method="post"
                      action="{% url 'organizacaousuaria_update' organizacao_id=object.id %}">
                    {% csrf_token %}
                    <div class="row mb-5">
                        <div class="col-sm-12 col-md-6">
                            <label class="sr-only" for="usuaria-select">Escolha um/a usuário/a</label>
                            <select class="custom-select mb-2 mr-sm-1"
                                    name="usuaria"
                                    id="add_existing_member_user">
                                <option value="" selected>
                                    Escolha um/a usuário/a da plataforma Tô no Mapa
                                </option>
                                {% for usuaria in usuarias_do_sistema %}
                                    <option value="{{ usuaria.id }}">
                                        {{ usuaria }} ({{ usuaria.username }})
                                    </option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-sm-12 col-md-3">
                            <div class="form-check mb-2 mr-sm-2 justify-content-start">
                                <input class="form-check-input"
                                       type="radio"
                                       value="is_reviewer"
                                       id="add_existing_member_is_reviewer"
                                       name="perfil"
                                       checked/>
                                <label class="form-check-label" for="usuaria-admin">Revisor/a</label>
                            </div>
                            <div class="form-check mb-2 mr-sm-2 justify-content-start">
                                <input class="form-check-input"
                                       type="radio"
                                       value="is_admin"
                                       id="add_existing_member_is_admin"
                                       name="perfil"/>
                                <label class="form-check-label" for="usuaria-admin">Administrador/a</label>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-3">
                            <button type="submit"
                                    class="btn btn-success mb-2 mr-sm-2"
                                    id="add_existing_member_bt"
                                    disabled>
                                <i class="fa fa-plus mr-1"></i> Inserir na organização
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    {% endif %}
    <script>const csrfmiddlewaretoken = "{{ csrf_token }}";</script>
{% endblock content %}
